Package Details: masterpassword-cli 2.6-3

Git Clone URL: https://aur.archlinux.org/masterpassword-cli.git (read-only)
Package Base: masterpassword-cli
Description: CLI version of Master Password
Upstream URL: https://masterpassword.app/
Licenses: GPL3
Submitter: patlux
Maintainer: ilpianista
Last Packager: ilpianista
Votes: 13
Popularity: 0.001517
First Submitted: 2015-03-13 22:38
Last Updated: 2018-08-06 05:25

Latest Comments

« First ‹ Previous 1 2

patlux commented on 2016-02-25 20:49

@test0: Thank you for reporting this issue. I fixed that.

test0 commented on 2016-02-22 20:47

There's a problem in the PKGBUILD:
the package() function executes the "install" in the masterpassword-cli directory and NOT the stock /usr/bin/install one.

I think you can fix this by changing "install" to "/usr/bin/install" or by telling the developer, I don't know :)

Thanks!

Infides commented on 2015-08-30 17:46

Thanks! Now it works.

patlux commented on 2015-08-30 12:49

@Infides: Sorry for the late anwer:

I fixed that issue.

Infides commented on 2015-05-22 14:54

When I try to build the package, I get the following error:
In file included from libcperciva/crypto/crypto_aes_aesni.c:7:0:
/usr/lib/gcc/x86_64-unknown-linux-gnu/5.1.0/include/wmmintrin.h:87:1: error: inlining failed in call to always_inline ‘_mm_aeskeygenassist_si128’: target specific option mismatch
_mm_aeskeygenassist_si128 (__m128i __X, const int __C)
^
libcperciva/crypto/crypto_aes_aesni.c:27:5: error: called from here
_t = _mm_aeskeygenassist_si128(_t, rcon); \
^
libcperciva/crypto/crypto_aes_aesni.c:72:2: note: in expansion of macro ‘MKRKEY128’
MKRKEY128(rkeys, 10, 0x36);
^
Makefile:507: recipe for target 'libcperciva_aesni_a-crypto_aes_aesni.o' failed
make[1]: *** [libcperciva_aesni_a-crypto_aes_aesni.o] Error 1
make[1]: Leaving directory '/home/xxx/builds/masterpassword-cli/src/lib/scrypt'
Makefile:365: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

It seems, that the scrypt lib cannot be build successfully, although I have it already installed with pacman from the official repo.

patlux commented on 2015-03-19 09:58

Thanks! I've added the missing dependency

lacsapnoc commented on 2015-03-15 14:15

as the mpw build script uses git svn one also needs to add the subversion package to the dependecies otherwise the needed perl scripts are missing and you get the following error:

Can't locate SVN/Core.pm in @INC (you may need to install the SVN::Core module)